=== debian/changelog ===
blasr (0~20150724+git3ca7fe8-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Sun, 06 Sep 2015 02:20:55 -0700

blasr (0~20150724+git3ca7fe8-1) unstable; urgency=low

  * Initial release (Closes: #793763)
  * Statically link native libraries and dynamically link external ones
  * Create manpages

 -- Afif Elghraoui <afif@ghraoui.name>  Sun, 26 Jul 2015 22:19:06 -0700
