=== debian/control ===
Source: blasr
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Build-Depends: debhelper (>= 9),
	       python,
	       libhdf5-dev,
	       zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://github.com/PacificBiosciences/blasr
Vcs-Git: git://anonscm.debian.org/debian-med/blasr.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/blasr.git

Package: blasr
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: mapping single-molecule sequencing reads
 Basic local alignment with successive refinement (BLASR) is a method
 for mapping single-molecule sequencing reads against a reference genome.
 Such reads are thousands of bases long, with divergence between them
 and the genome being dominated by insertion and deletion error.
