=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export HDF5_INC=/usr/include/hdf5/serial
export HDF5_LIB=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial

# This is needed for libcpp/configure.py. The top-level configure.py
# uses a command-line argument.
export NOPBBAM=1

%:
	dh $@ 

override_dh_auto_configure:
	./configure.py --no-pbbam --submodules
	libcpp/configure.py

override_dh_auto_build:
	$(MAKE) build-submodule
	$(MAKE)

# Tests require cram. I don't find it available in Debian
override_dh_auto_test:

override_dh_auto_clean: override_dh_auto_configure
	$(MAKE) cleanall
	# This is created by configure.py
	rm -f defines.mk
	# These are created by libcpp/configure.py
	rm -f libcpp/defines.mk libcpp/pbdata/libconfig.h
