## blasr 0~20151014+git8e668be

=== debian/changelog ===
blasr (0~20151014+git8e668be-1) unstable; urgency=high

  * Don't install LICENSES.txt file
  * Imported Upstream version 0~20151014+git8e668be
  * Use externally packaged pbseqlib and dynamically link to it
    (Closes: #807985)
  * Adjust for renamed upstream documentation
  * Minor clean-ups
  * Update comment about why tests can't be run
  * Allow building in parallel

 -- Afif Elghraoui <afif@ghraoui.name>  Mon, 14 Dec 2015 19:51:57 -0800
