=== debian/control ===
--- 
+++ 
@@ -3,10 +3,14 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@ghraoui.name>
-Build-Depends: debhelper (>= 9),
-	       python,
-	       libhdf5-dev,
-	       zlib1g-dev
+Build-Depends:
+	debhelper (>= 9),
+	python,
+	libhdf5-dev,
+	zlib1g-dev,
+	libblasr-dev,
+	libpbdata-dev,
+	libpbihdf-dev,
 Standards-Version: 3.9.6
 Homepage: https://github.com/PacificBiosciences/blasr
 Vcs-Git: git://anonscm.debian.org/debian-med/blasr.git
@@ -14,8 +18,12 @@
 
 Package: blasr
 Architecture: any
-Depends: ${shlibs:Depends},
-	 ${misc:Depends}
+Depends:
+	${shlibs:Depends},
+	${misc:Depends},
+	libblasr,
+	libpbdata,
+	libpbihdf,
 Description: mapping single-molecule sequencing reads
  Basic local alignment with successive refinement (BLASR) is a method
  for mapping single-molecule sequencing reads against a reference genome.
