=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export HDF5_INC=/usr/include/hdf5/serial
export HDF5_LIB=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial

export LIBBLASR_INC=/usr/include/blasr
export LIBBLASR_LIB=/usr/lib/$(DEB_HOST_MULTIARCH)/blasr
export LIBPBDATA_INC=/usr/include/pbdata
export LIBPBDATA_LIB=/usr/lib/$(DEB_HOST_MULTIARCH)/pbdata
export LIBPBIHDF_INC=/usr/include/pbihdf
export LIBPBIHDF_LIB=/usr/lib/$(DEB_HOST_MULTIARCH)/pbihdf

export LD_RUN_PATH=$(LIBBLASR_LIB):$(LIBPBDATA_LIB):$(LIBPBIHDF_LIB)

%:
	dh $@ --parallel

override_dh_auto_configure:
	./configure.py --no-pbbam --shared

# Tests require data not available in the source distribution
override_dh_auto_test:

override_dh_auto_clean: override_dh_auto_configure
	$(MAKE) clean
	# This is created by configure.py
	$(RM) defines.mk
