=== utils/bam2bax/src/CMakeLists.txt ===
--- 
+++ 
@@ -51,6 +51,7 @@
 else()
 endif()
 target_link_libraries(bam2bax
+    ${PBBAM_LINK_FLAG}
     ${BLASR_LIBRARIES}
     ${PBIHDF_LIBRARIES}
     ${PBDATA_LIBRARIES}
@@ -67,6 +68,7 @@
     RUNTIME_OUTPUT_DIRECTORY ${Bam2Bax_BinDir}
 )
 target_link_libraries(bam2plx
+    ${PBBAM_LINK_FLAG}
     ${BLASR_LIBRARIES}
     ${PBIHDF_LIBRARIES}
     ${PBDATA_LIBRARIES}
