=== utils/bam2bax/tests/CMakeLists.txt ===
--- 
+++ 
@@ -74,6 +74,7 @@
 target_link_libraries(test_bam2bax
     gtest
     gtest_main
+    ${PBBAM_LINK_FLAG}
     ${BLASR_LIBRARIES}
     ${PBIHDF_LIBRARIES}
     ${PBDATA_LIBRARIES}
