=== utils/bax2bam/src/CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,7 @@
 else()
 endif()
 target_link_libraries(bax2bam 
+    ${PBBAM_LINK_FLAG}
     ${BLASR_LIBRARIES}
     ${PBIHDF_LIBRARIES}
     ${PBDATA_LIBRARIES}
