=== debian/changelog ===
blasr (5.3+0-2) unstable; urgency=low

  * Team upload

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added references to OMICtools and RRID

  [ Afif Elghraoui ]
  * Add README.source

  [ Gilles Filippini ]
  * Support for HDF5 1.10.1
    Closes: #892630

  [ Andreas Tille ]
  * d/control:
     - more cme-ish sequence of entries
     - Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sun, 11 Mar 2018 18:02:22 +0100

blasr (5.3+0-1) unstable; urgency=medium

  * Imported Upstream version 5.3+0 (corresponds to smrtanalysis-4.0.0 tag)
  * Refresh patches

 -- Afif Elghraoui <afif@debian.org>  Fri, 23 Dec 2016 17:50:11 -0800

blasr (5.3-2) unstable; urgency=medium

  * Use pbseqlib metapackage rather than depending on individual libraries
  * Build with pbbam (Closes: #848751, #848541)
  * Build bax2bam and bam2bax

 -- Afif Elghraoui <afif@debian.org>  Tue, 20 Dec 2016 02:02:51 -0800

blasr (5.3-1) unstable; urgency=medium

  * Imported Upstream version 5.3
    (upstream git revision 1baabc8 from 2016-09-12)
  * Find PB libraries in the default LD path
  * Bump Standards-Version to 3.9.8
  * Use encrypted protocols for VCS
  * Update email address and copyright year
  * Update paths to pbseqlib headers
  * Remove unused lintian overrides
  * Update debian/TODO
  * Add d/NEWS to explain interface change
  * d/rules: Minor clean-ups

 -- Afif Elghraoui <afif@debian.org>  Sun, 23 Oct 2016 18:21:55 -0700
