=== debian/control ===
Source: blasr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: science
Priority: optional
Build-Depends:
	debhelper (>= 11~),
	python,
	cmake,
	libboost-dev,
	libhdf5-dev,
	zlib1g-dev,
	libpbseq-dev (>= 0~20160912),
	libpbbam-dev,
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/blasr.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/blasr.git
Homepage: https://github.com/PacificBiosciences/blasr

Package: blasr
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	libpbseq (>= 0~20160912),
	libpbbam,
Description: mapping single-molecule sequencing reads
 Basic local alignment with successive refinement (BLASR) is a method
 for mapping single-molecule sequencing reads against a reference genome.
 Such reads are thousands of bases long, with divergence between them
 and the genome being dominated by insertion and deletion error.
