## blasr 5.3.2+dfsg

=== debian/changelog ===
blasr (5.3.2+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove manual dependency on libpbbam, a proper one is already
    being generated.

 -- Adrian Bunk <bunk@debian.org>  Wed, 06 Feb 2019 09:24:24 +0200

blasr (5.3.2+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * New upstream version
  * Build-Depends: libpbdata-dev
    Closes: #906811
  * d/watch: point to Github since upstream is now tagging releases
  * Point Vcs fields to salsa.debian.org
  * debhelper 12
  * Standards-Version: 4.3.0
  * Build system switched from cmake to meson
  * Versioned Build-Depends: libblasr-dev
  * Cleanup d/rules
  * Update manpages
  * Mention tools that are not build an more in NEWS.Debian

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

 -- Andreas Tille <tille@debian.org>  Mon, 28 Jan 2019 16:10:36 +0100
