=== debian/rules ===
--- 
+++ 
@@ -30,33 +30,24 @@
 export DEB_CXXFLAGS_MAINT_PREPEND = $(CPPFLAGS) -I$(PBDATA_ROOT_DIR)
 
 %:
-	dh $@
+	dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
-	./configure.py --shared
+	LDFLAGS="-L$(HTSLIB_LIB) -L$(HDF5_LIB) -lhdf5_cpp -lhdf5" CPPFLAGS="-isystem $(HDF5_INC)" meson -Dtests=false -Dprefix=/usr build .
 
-override_dh_auto_build: main bax2bam bam2bax;
-
-.PHONY: main
-main:
-	dh_auto_build
-
-.PHONY: bax2bam
 bax2bam: utils/bax2bax/bin/bax2bam
 utils/bax2bax/bin/bax2bam:
 	$(MAKE) -C utils/bax2bam
 
-.PHONY: bam2bax
 bam2bax: utils/bam2bax/bin/bam2bax
 utils/bam2bax/bin/bam2bax:
 	$(MAKE) -C utils/bam2bax
 
-# Tests require data not available in the source distribution
-override_dh_auto_test: ;
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+override_dh_auto_test:
+	echo Tests require data not available in the source distribution
+endif
 
-override_dh_auto_clean: override_dh_auto_configure
-	$(MAKE) clean
-	$(MAKE) -C utils/bam2bax clean
-	$(MAKE) -C utils/bax2bam clean
-	# This is created by configure.py
-	$(RM) defines.mk
+override_dh_auto_build:
+	ln -s build obj-$(DEB_BUILD_GNU_TYPE)
+	dh_auto_build
