## blasr 5.3.3+dfsg

=== meson_options.txt ===
option('tests',
    type : 'boolean',
    value : true,
    description : 'Enable dependencies required for testing')
