=== debian/changelog ===
blasr (5.3.3+dfsg-5) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Versioned Build-Depends: libblasr-dev (>= 5.3.4+dfsg-3~) since other
    Debian releases put header file on wrong location

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 13:51:01 +0100

blasr (5.3.3+dfsg-4) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * Versioned Build-Depends: libblasr-dev (>= 5.3.3+dfsg-2)
    Closes: #949543

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jan 2020 17:48:33 +0100

blasr (5.3.3+dfsg-3) unstable; urgency=medium

  * Build-Depends: s/python/python3/
  * Standards-Version: 4.4.1
  * Build-Depends: cmake
  * Do not check for pbbam with meson - its ensured by Build-Depends
  * Build-Depends: libpbcopper-dev
  * Fix meson depencencies
    Closes: #948926
  * rename debian/NEWS.Debian to debian/NEWS

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jan 2020 08:54:12 +0100

blasr (5.3.3+dfsg-2) unstable; urgency=medium

  * Use 2to3 to port to Python3
    Closes: #936213

 -- Andreas Tille <tille@debian.org>  Sun, 01 Sep 2019 07:52:40 +0200

blasr (5.3.3+dfsg-1) unstable; urgency=medium

  * Afif removed himself from Uploaders (thanks for your work on this)
  * Add myself to Uploaders
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jul 2019 14:55:41 +0200
