=== debian/control ===
Source: blasr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3,
               meson,
               cmake,
               pkg-config,
               libboost-dev,
               libhdf5-dev,
               zlib1g-dev,
               libpbseq-dev,
               libpbbam-dev (>= 0.18.0~),
               libpbdata-dev,
               libpbcopper-dev,
               libgtest-dev,
               libblasr-dev (>= 5.3.4+dfsg-3~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/blasr
Vcs-Git: https://salsa.debian.org/med-team/blasr.git
Homepage: https://github.com/PacificBiosciences/blasr
Rules-Requires-Root: no

Package: blasr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpbseq
Description: mapping single-molecule sequencing reads
 Basic local alignment with successive refinement (BLASR) is a method
 for mapping single-molecule sequencing reads against a reference genome.
 Such reads are thousands of bases long, with divergence between them
 and the genome being dominated by insertion and deletion error.
