=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # Needed for HDF5 1.10.1 support
 HDF5_VERSION := $(shell grep 'HDF5 Version' $(HDF5_LIB)/libhdf5.settings | awk '{print $$3}')
 ifeq (yes,$(shell dpkg --compare-versions $(HDF5_VERSION) '>=' 1.10.1 && echo yes))
-export DEB_CXXFLAGS_MAINT_APPEND=-DHAVE_HDF5_1_10_1
+export DEB_CXXFLAGS_MAINT_APPEND=-DHAVE_HDF5_1_10_1 -std=c++14
 endif
 
 # CPPFLAGS apparently aren't exported for bam2bax/bax2bam
